#
# spec file for package spacecmd
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:           spacecmd
Version:        1.2.2
Release:        1.4
Summary:        Command-line interface to Spacewalk and Satellite servers

Group:          Applications/System
License:        GPL v3 or later
Url:            https://fedorahosted.org/spacewalk/wiki/spacecmd
Source:         spacecmd-git-13c77b3f2ce67c50a90d6176c87fe53b587de5b1.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if ((!0%{?suse_version}) || (0%{?suse_version} >= 1120))
BuildArch:      noarch
%endif

BuildRequires:  python-devel

%description
spacecmd is a command-line interface to Spacewalk and Satellite servers



%prep
%setup -q -n spacecmd-git-13c77b3f2ce67c50a90d6176c87fe53b587de5b1

%build
# nothing to build

%install
%{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}/%{_bindir}
%{__install} -p -m0755 src/bin/spacecmd %{buildroot}/%{_bindir}/

%{__mkdir_p} %{buildroot}/%{_sysconfdir}/bash_completion.d
%{__install} -p -m0644 src/misc/spacecmd-bash-completion %{buildroot}/%{_sysconfdir}/bash_completion.d/spacecmd

%{__mkdir_p} %{buildroot}/%{python_sitelib}/spacecmd
%{__install} -p -m0644 src/lib/*.py %{buildroot}/%{python_sitelib}/spacecmd/

%{__mkdir_p} %{buildroot}/%{_mandir}/man1
%{__gzip} -c src/doc/spacecmd.1 > %{buildroot}/%{_mandir}/man1/spacecmd.1.gz

touch %{buildroot}/%{python_sitelib}/spacecmd/__init__.py
%{__chmod} 0644 %{buildroot}/%{python_sitelib}/spacecmd/__init__.py

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/spacecmd
%{python_sitelib}/spacecmd/
%dir %{_sysconfdir}/bash_completion.d
%{_sysconfdir}/bash_completion.d/spacecmd
%doc src/doc/README src/doc/COPYING
%doc %{_mandir}/man1/spacecmd.1.gz

%changelog
* Fri Feb 11 2011 mantel@suse.de
- debranding
* Sun Jan 30 2011 mc@suse.de
- backport upstrem fixes
* Wed Sep 15 2010 mantel@suse.de
- Initial release of spacecmd
